<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="es"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>SrvIntLettersDiscountLines.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pzic_financialManagementCompanies</a> &gt; <a href="index.source.html" class="el_package">com.bbva.pzic.listHistoricalLettersSummaries.business.impl</a> &gt; <span class="el_source">SrvIntLettersDiscountLines.java</span></div><h1>SrvIntLettersDiscountLines.java</h1><pre class="source lang-java linenums">package com.bbva.pzic.listHistoricalLettersSummaries.business.impl;

import com.bbva.pzic.listHistoricalLettersSummaries.business.ISrvIntLettersDiscountLines;
import com.bbva.pzic.listHistoricalLettersSummaries.business.dto.DTOIntHistoricalLettersSummariesId;
import com.bbva.pzic.listHistoricalLettersSummaries.business.dto.ValidationGroup;
import com.bbva.pzic.listHistoricalLettersSummaries.dao.ILettersDiscountLinesDAO;
import com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.dto.HistoricalLettersSummaries;
import com.bbva.pzic.routine.validator.Validator;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
<span class="nc" id="L17">public class SrvIntLettersDiscountLines implements ISrvIntLettersDiscountLines {</span>

<span class="nc" id="L19">    private static final Log LOG = LogFactory.getLog(SrvIntLettersDiscountLines.class);</span>

    @Autowired
    private Validator validator;

    @Autowired
    private ILettersDiscountLinesDAO lettersDiscountLinesDAO;

    @Override
    public List&lt;HistoricalLettersSummaries&gt; listHistoricalLettersSummaries(DTOIntHistoricalLettersSummariesId input) {
<span class="nc" id="L29">        LOG.info(&quot;... Invoking method SrvIntLettersDiscountLines.listHistoricalLettersSummaries ...&quot;);</span>
<span class="nc" id="L30">        LOG.info(&quot;... Validating listHistoricalLettersSumaries input parameter ...&quot;);</span>
<span class="nc" id="L31">        validator.validate(input, ValidationGroup.HistoricalLettersSummariesId.class);</span>
<span class="nc" id="L32">        return lettersDiscountLinesDAO.listHistoricalLettersSummaries(input);</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>